> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#body.BulkListAssignedTargetingOptionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#body.aspect)
- [LineItemAssignedTargetingOption](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#LineItemAssignedTargetingOption)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#LineItemAssignedTargetingOption.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#try-it)

Lists assigned targeting options for multiple line items across targeting types.

### HTTP request

`GET https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/lineItems:bulkListAssignedTargetingOptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser the line items belongs to. |

### Query parameters

| Parameters ||
|---|---|
| `lineItemIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The IDs of the line items to list assigned targeting options for. |
| `pageSize` | `integer` Requested page size. The size must be an integer between `1` and `5000`. If unspecified, the default is `5000`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` A token that lets the client fetch the next page of results. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#body.BulkListAssignedTargetingOptionsResponse.FIELDS.next_page_token` returned from the previous call to the `lineItems.bulkListAssignedTargetingOptions` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Field by which to sort the list. Acceptable values are: - `lineItemId` (default) - `assignedTargetingOption.targetingType` The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: `targetingType desc`. |
| `filter` | `string` Allows filtering by assigned targeting option fields. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by the logical operator `OR` on the same field. - A restriction has the form of `{field} {operator} {value}`. - All fields must use the `EQUALS (=)` operator. Supported fields: - `targetingType` - `inheritance` Examples: - `AssignedTargetingOption` resources of targeting type `TARGETING_TYPE_PROXIMITY_LOCATION_LIST` or `TARGETING_TYPE_CHANNEL`: `targetingType="TARGETING_TYPE_PROXIMITY_LOCATION_LIST" OR targetingType="TARGETING_TYPE_CHANNEL"` - `AssignedTargetingOption` resources with inheritance status of `NOT_INHERITED` or `INHERITED_FROM_PARTNER`: `inheritance="NOT_INHERITED" OR inheritance="INHERITED_FROM_PARTNER"` The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "lineItemAssignedTargetingOptions": [ { object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#LineItemAssignedTargetingOption`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `lineItemAssignedTargetingOptions[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#LineItemAssignedTargetingOption`)`` The list of wrapper objects, each providing an assigned targeting option and the line item it is assigned to. This list will be absent if empty. |
| `nextPageToken` | `string` A token identifying the next page of results. This value should be specified as the `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#body.QUERY_PARAMETERS.page_token` in a subsequent call to `lineItems.bulkListAssignedTargetingOptions` to fetch the next page of results. This token will be absent if there are no more `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#body.BulkListAssignedTargetingOptionsResponse.FIELDS.line_item_assigned_targeting_options` to return. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## LineItemAssignedTargetingOption

Wrapper object associating an `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems/bulkListAssignedTargetingOptions#LineItemAssignedTargetingOption.FIELDS.assigned_targeting_option` resource and the line item it is assigned to.

| JSON representation |
|---|
| ``` { "lineItemId": string, "assignedTargetingOption": { object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`) } } ``` |

| Fields ||
|---|---|
| `lineItemId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the line item the assigned targeting option is assigned to. |
| `assignedTargetingOption` | ``object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`)`` The assigned targeting option resource. |